package com.ozs.da.entity.token;

import java.io.Serializable;

/**
 * @author 许明
 * on 2019/3/5.
 * @version 2.0.0
 */
public class Payload implements Serializable {
    private String id;
    private String deptNo;
    private String username;
    private String enterpriseNo;
    private String seatNumber;
    private String roleCode;
    //用户在线状态
    private Integer online;
    //企业状态
    private String entStatus;

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getEnterpriseNo() {
        return enterpriseNo;
    }

    public void setEnterpriseNo(String enterpriseNo) {
        this.enterpriseNo = enterpriseNo;
    }

    public String getSeatNumber() {
        return seatNumber;
    }

    public void setSeatNumber(String seatNumber) {
        this.seatNumber = seatNumber;
    }

    public String getRoleCode() {
        return roleCode;
    }

    public void setRoleCode(String roleCode) {
        this.roleCode = roleCode;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getDeptNo() {
        return deptNo;
    }

    public void setDeptNo(String deptNo) {
        this.deptNo = deptNo;
    }

    public Integer getOnline() {
        return online;
    }

    public void setOnline(Integer online) {
        this.online = online;
    }

    public String getEntStatus() {
        return entStatus;
    }

    public void setEntStatus(String entStatus) {
        this.entStatus = entStatus;
    }

    @Override
    public String toString() {
        return "Payload{" +
                "id='" + id + '\'' +
                ", deptNo='" + deptNo + '\'' +
                ", username='" + username + '\'' +
                ", enterpriseNo='" + enterpriseNo + '\'' +
                ", seatNumber='" + seatNumber + '\'' +
                ", roleCode='" + roleCode + '\'' +
                ", online=" + online +
                ", entStatus='" + entStatus + '\'' +
                '}';
    }
}
